<template>
  <ElTooltip placement="top" content="刷新列表">
    <el-icon :size="20" @click="redo"><Refresh /></el-icon>
  </ElTooltip>
</template>
<script lang="ts" setup>
import { useTableContext } from '../hooks/useTableContext'
import { Refresh } from '@element-plus/icons-vue'

defineOptions({ name: 'RedoSetting' })

const table = useTableContext()

function redo() {
  table.reload()
}
</script>
